llvm.org GIT mirror llvm / 9372f15
Regenerate for __dso_handle, per Anton's request. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@40601 91177308-0d34-0410-b5e6-96231b3b80d8 Reid Spencer 12 years ago
1 changed file(s) with 136 addition(s) and 25 deletion(s). Raw diff Collapse all Expand all
20862086 ;;
20872087 llvm-poolalloc) subdirs="$subdirs projects/llvm-poolalloc"
20882088 ;;
2089 poolalloc) subdirs="$subdirs projects/poolalloc"
2089 poolalloc) subdirs="$subdirs projects/poolalloc"
20902090 ;;
20912091 llvm-kernel) subdirs="$subdirs projects/llvm-kernel"
20922092 ;;
1036810368 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1036910369 lt_status=$lt_dlunknown
1037010370 cat > conftest.$ac_ext <
10371 #line 10369 "configure"
10371 #line 10372 "configure"
1037210372 #include "confdefs.h"
1037310373
1037410374 #if HAVE_DLFCN_H
1251212512 ;;
1251312513 *-*-irix6*)
1251412514 # Find out which ABI we are using.
12515 echo '#line 12513 "configure"' > conftest.$ac_ext
12515 echo '#line 12516 "configure"' > conftest.$ac_ext
1251612516 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1251712517 (eval $ac_compile) 2>&5
1251812518 ac_status=$?
1423014230 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1423114231 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1423214232 -e 's:$: $lt_compiler_flag:'`
14233 (eval echo "\"\$as_me:14231: $lt_compile\"" >&5)
14233 (eval echo "\"\$as_me:14234: $lt_compile\"" >&5)
1423414234 (eval "$lt_compile" 2>conftest.err)
1423514235 ac_status=$?
1423614236 cat conftest.err >&5
14237 echo "$as_me:14235: \$? = $ac_status" >&5
14237 echo "$as_me:14238: \$? = $ac_status" >&5
1423814238 if (exit $ac_status) && test -s "$ac_outfile"; then
1423914239 # The compiler can only warn and ignore the option if not recognized
1424014240 # So say no if there are warnings other than the usual output.
1449814498 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1449914499 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1450014500 -e 's:$: $lt_compiler_flag:'`
14501 (eval echo "\"\$as_me:14499: $lt_compile\"" >&5)
14501 (eval echo "\"\$as_me:14502: $lt_compile\"" >&5)
1450214502 (eval "$lt_compile" 2>conftest.err)
1450314503 ac_status=$?
1450414504 cat conftest.err >&5
14505 echo "$as_me:14503: \$? = $ac_status" >&5
14505 echo "$as_me:14506: \$? = $ac_status" >&5
1450614506 if (exit $ac_status) && test -s "$ac_outfile"; then
1450714507 # The compiler can only warn and ignore the option if not recognized
1450814508 # So say no if there are warnings other than the usual output.
1460214602 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1460314603 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1460414604 -e 's:$: $lt_compiler_flag:'`
14605 (eval echo "\"\$as_me:14603: $lt_compile\"" >&5)
14605 (eval echo "\"\$as_me:14606: $lt_compile\"" >&5)
1460614606 (eval "$lt_compile" 2>out/conftest.err)
1460714607 ac_status=$?
1460814608 cat out/conftest.err >&5
14609 echo "$as_me:14607: \$? = $ac_status" >&5
14609 echo "$as_me:14610: \$? = $ac_status" >&5
1461014610 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1461114611 then
1461214612 # The compiler can only warn and ignore the option if not recognized
1705417054 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1705517055 lt_status=$lt_dlunknown
1705617056 cat > conftest.$ac_ext <
17057 #line 17055 "configure"
17057 #line 17058 "configure"
1705817058 #include "confdefs.h"
1705917059
1706017060 #if HAVE_DLFCN_H
1715417154 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1715517155 lt_status=$lt_dlunknown
1715617156 cat > conftest.$ac_ext <
17157 #line 17155 "configure"
17157 #line 17158 "configure"
1715817158 #include "confdefs.h"
1715917159
1716017160 #if HAVE_DLFCN_H
1952219522 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1952319523 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1952419524 -e 's:$: $lt_compiler_flag:'`
19525 (eval echo "\"\$as_me:19523: $lt_compile\"" >&5)
19525 (eval echo "\"\$as_me:19526: $lt_compile\"" >&5)
1952619526 (eval "$lt_compile" 2>conftest.err)
1952719527 ac_status=$?
1952819528 cat conftest.err >&5
19529 echo "$as_me:19527: \$? = $ac_status" >&5
19529 echo "$as_me:19530: \$? = $ac_status" >&5
1953019530 if (exit $ac_status) && test -s "$ac_outfile"; then
1953119531 # The compiler can only warn and ignore the option if not recognized
1953219532 # So say no if there are warnings other than the usual output.
1962619626 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1962719627 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1962819628 -e 's:$: $lt_compiler_flag:'`
19629 (eval echo "\"\$as_me:19627: $lt_compile\"" >&5)
19629 (eval echo "\"\$as_me:19630: $lt_compile\"" >&5)
1963019630 (eval "$lt_compile" 2>out/conftest.err)
1963119631 ac_status=$?
1963219632 cat out/conftest.err >&5
19633 echo "$as_me:19631: \$? = $ac_status" >&5
19633 echo "$as_me:19634: \$? = $ac_status" >&5
1963419634 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1963519635 then
1963619636 # The compiler can only warn and ignore the option if not recognized
2119621196 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2119721197 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2119821198 -e 's:$: $lt_compiler_flag:'`
21199 (eval echo "\"\$as_me:21197: $lt_compile\"" >&5)
21199 (eval echo "\"\$as_me:21200: $lt_compile\"" >&5)
2120021200 (eval "$lt_compile" 2>conftest.err)
2120121201 ac_status=$?
2120221202 cat conftest.err >&5
21203 echo "$as_me:21201: \$? = $ac_status" >&5
21203 echo "$as_me:21204: \$? = $ac_status" >&5
2120421204 if (exit $ac_status) && test -s "$ac_outfile"; then
2120521205 # The compiler can only warn and ignore the option if not recognized
2120621206 # So say no if there are warnings other than the usual output.
2130021300 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2130121301 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2130221302 -e 's:$: $lt_compiler_flag:'`
21303 (eval echo "\"\$as_me:21301: $lt_compile\"" >&5)
21303 (eval echo "\"\$as_me:21304: $lt_compile\"" >&5)
2130421304 (eval "$lt_compile" 2>out/conftest.err)
2130521305 ac_status=$?
2130621306 cat out/conftest.err >&5
21307 echo "$as_me:21305: \$? = $ac_status" >&5
21307 echo "$as_me:21308: \$? = $ac_status" >&5
2130821308 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2130921309 then
2131021310 # The compiler can only warn and ignore the option if not recognized
2353523535 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2353623536 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2353723537 -e 's:$: $lt_compiler_flag:'`
23538 (eval echo "\"\$as_me:23536: $lt_compile\"" >&5)
23538 (eval echo "\"\$as_me:23539: $lt_compile\"" >&5)
2353923539 (eval "$lt_compile" 2>conftest.err)
2354023540 ac_status=$?
2354123541 cat conftest.err >&5
23542 echo "$as_me:23540: \$? = $ac_status" >&5
23542 echo "$as_me:23543: \$? = $ac_status" >&5
2354323543 if (exit $ac_status) && test -s "$ac_outfile"; then
2354423544 # The compiler can only warn and ignore the option if not recognized
2354523545 # So say no if there are warnings other than the usual output.
2380323803 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2380423804 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2380523805 -e 's:$: $lt_compiler_flag:'`
23806 (eval echo "\"\$as_me:23804: $lt_compile\"" >&5)
23806 (eval echo "\"\$as_me:23807: $lt_compile\"" >&5)
2380723807 (eval "$lt_compile" 2>conftest.err)
2380823808 ac_status=$?
2380923809 cat conftest.err >&5
23810 echo "$as_me:23808: \$? = $ac_status" >&5
23810 echo "$as_me:23811: \$? = $ac_status" >&5
2381123811 if (exit $ac_status) && test -s "$ac_outfile"; then
2381223812 # The compiler can only warn and ignore the option if not recognized
2381323813 # So say no if there are warnings other than the usual output.
2390723907 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2390823908 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2390923909 -e 's:$: $lt_compiler_flag:'`
23910 (eval echo "\"\$as_me:23908: $lt_compile\"" >&5)
23910 (eval echo "\"\$as_me:23911: $lt_compile\"" >&5)
2391123911 (eval "$lt_compile" 2>out/conftest.err)
2391223912 ac_status=$?
2391323913 cat out/conftest.err >&5
23914 echo "$as_me:23912: \$? = $ac_status" >&5
23914 echo "$as_me:23915: \$? = $ac_status" >&5
2391523915 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2391623916 then
2391723917 # The compiler can only warn and ignore the option if not recognized
3357233572 echo "$as_me: WARNING: mmap() of files required but not found" >&2;}
3357333573 fi
3357433574 fi
33575
33576
33577
33578 for ac_func in __dso_handle
33579 do
33580 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
33581 { echo "$as_me:$LINENO: checking for $ac_func" >&5
33582 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
33583 if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
33584 echo $ECHO_N "(cached) $ECHO_C" >&6
33585 else
33586 cat >conftest.$ac_ext <<_ACEOF
33587 /* confdefs.h. */
33588 _ACEOF
33589 cat confdefs.h >>conftest.$ac_ext
33590 cat >>conftest.$ac_ext <<_ACEOF
33591 /* end confdefs.h. */
33592 /* Define $ac_func to an innocuous variant, in case declares $ac_func.
33593 For example, HP-UX 11i declares gettimeofday. */
33594 #define $ac_func innocuous_$ac_func
33595
33596 /* System header to define __stub macros and hopefully few prototypes,
33597 which can conflict with char $ac_func (); below.
33598 Prefer to if __STDC__ is defined, since
33599 exists even on freestanding compilers. */
33600
33601 #ifdef __STDC__
33602 # include
33603 #else
33604 # include
33605 #endif
33606
33607 #undef $ac_func
33608
33609 /* Override any GCC internal prototype to avoid an error.
33610 Use char because int might match the return type of a GCC
33611 builtin and then its argument prototype would still apply. */
33612 #ifdef __cplusplus
33613 extern "C"
33614 #endif
33615 char $ac_func ();
33616 /* The GNU C library defines this for functions which it implements
33617 to always fail with ENOSYS. Some functions are actually named
33618 something starting with __ and the normal name is an alias. */
33619 #if defined __stub_$ac_func || defined __stub___$ac_func
33620 choke me
33621 #endif
33622
33623 int
33624 main ()
33625 {
33626 return $ac_func ();
33627 ;
33628 return 0;
33629 }
33630 _ACEOF
33631 rm -f conftest.$ac_objext conftest$ac_exeext
33632 if { (ac_try="$ac_link"
33633 case "(($ac_try" in
33634 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
33635 *) ac_try_echo=$ac_try;;
33636 esac
33637 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
33638 (eval "$ac_link") 2>conftest.er1
33639 ac_status=$?
33640 grep -v '^ *+' conftest.er1 >conftest.err
33641 rm -f conftest.er1
33642 cat conftest.err >&5
33643 echo "$as_me:$LINENO: \$? = $ac_status" >&5
33644 (exit $ac_status); } &&
33645 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
33646 { (case "(($ac_try" in
33647 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
33648 *) ac_try_echo=$ac_try;;
33649 esac
33650 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
33651 (eval "$ac_try") 2>&5
33652 ac_status=$?
33653 echo "$as_me:$LINENO: \$? = $ac_status" >&5
33654 (exit $ac_status); }; } &&
33655 { ac_try='test -s conftest$ac_exeext'
33656 { (case "(($ac_try" in
33657 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
33658 *) ac_try_echo=$ac_try;;
33659 esac
33660 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
33661 (eval "$ac_try") 2>&5
33662 ac_status=$?
33663 echo "$as_me:$LINENO: \$? = $ac_status" >&5
33664 (exit $ac_status); }; }; then
33665 eval "$as_ac_var=yes"
33666 else
33667 echo "$as_me: failed program was:" >&5
33668 sed 's/^/| /' conftest.$ac_ext >&5
33669
33670 eval "$as_ac_var=no"
33671 fi
33672
33673 rm -f core conftest.err conftest.$ac_objext \
33674 conftest$ac_exeext conftest.$ac_ext
33675 fi
33676 ac_res=`eval echo '${'$as_ac_var'}'`
33677 { echo "$as_me:$LINENO: result: $ac_res" >&5
33678 echo "${ECHO_T}$ac_res" >&6; }
33679 if test `eval echo '${'$as_ac_var'}'` = yes; then
33680 cat >>confdefs.h <<_ACEOF
33681 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
33682 _ACEOF
33683
33684 fi
33685 done
3357533686
3357633687
3357733688 { echo "$as_me:$LINENO: checking whether llvm-gcc is sane" >&5